← Back to listing
POST/api/v1/opportunities/{id}/companies

Create Opportunity Company Relationship

Creates a relationship between an opportunity and a company.

Authentication

Send your API key in the x-api-key header.

x-api-keybearer

Parameters

idrequired

path · string

No description provided.

Request body

required

PublicApiCreateOpportunityCompanyDto

companyIdrequired

string

Company ID

Example request

json
{
  "companyId": "5516cd47-2bd0-4f4f-adc2-22524e54ba4d"
}

Responses

201

PublicApiCreateOpportunityCompanyResponseDto

statusCoderequired

number

countrequired

number

errorrequired

string

datarequired

boolean

Example response

json
{
  "statusCode": 200,
  "count": 0,
  "error": null,
  "data": false
}
401Unauthorized - missing or invalid API key or Bearer token